
GLPI-PROJECT - Feature #3146
Knowbase: review targets management
09/21/2011 10:11 PM - moyo

Status: Closed Start date: 09/21/2011
Priority: Normal Due date:
Assignee: moyo % Done: 100%
Category: Utils Estimated time: 0.00 hour
Target version: 0.83
Description

see #3043
Actual situation :
    -  is_faq 
    -  entities_id, is_recursive : entity association
    -  profiles : knowbase / faq + anonymous FAQ (items recursive on root entity)
completly review targets management for reminders
    -  permit to link to users, groups, entities (recursive or not), by profile : 4 tables to link
    -  Need to drop fixed entity association... On creation how to manage it ? only writer can see KB item ? May permit to say in writing
process is no visibility set ?
    -  permit to link group and entity / profile and entity
    -  is_faq = Visible on simple interface -> TO DROP : add all post-only profiles with read faq right

is this process for KB not so complex ? Need to create article + set visibility ?
Solution : Ok for full visibility

How to manage anonymous FAQ ? Add a visibility scheme : All / visible by all ?
Solution : is_faq + Root entity / recursive

Related issues:
Blocked by GLPI Documentation - Task # 3221: Knowbase: review targets management Closed 10/25/2011

Associated revisions
Revision 15927 - 10/25/2011 11:36 AM - moyo

begin working on Knowbase: review targets management see #3146

Revision 15929 - 10/25/2011 12:44 PM - moyo

Knowbase: review targets management fixed #3146

History
#1 - 10/18/2011 02:45 PM - moyo
- Subject changed from Knowbase :review targets management to Knowbase: review targets management

#2 - 10/25/2011 12:44 PM - moyo
- Status changed from New to Resolved
- % Done changed from 0 to 100

Applied in changeset r15929.
#3 - 10/25/2011 03:49 PM - moyo
- Status changed from Resolved to Closed
